<%
cu = current_user
can_moderate = cu.can_moderate?
is_guest = cu.is_guest?
-%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="ROBOTS" content="NOINDEX, FOLLOW" />
<title></title>
<link rel="stylesheet" type="text/css" href="/style/<%= cu.style %>.css" />
<%= yield :header -%>
</head>
<body>

<div id="punwrap">
<div id="punindex" class="pun">

<div id="brdheader" class="block">
	<div class="box">
		<div id="brdtitle" class="inbox">
			<h1><span><%=h Settings.board_title %></span></h1>
			<p><span><%=h Settings.board_desc %></span></p>
		</div>
		<div id="brdmenu" class="inbox">
			<ul>
			<li id="navindex"><%= link_to "Index", :controller => 'forum' %></li>
			<li id="navuserlist"><%= link_to "User list", :controller => "user", :action => "list" %></li>
<% if Settings.rules -%>
			<li id="navrules"><%= link_to "Rules", :controller => "user", :action => "list" %></li>
<% end -%>
<% if is_guest -%>
<%   if User.guest.group.g_search -%>
			<li id="navsearch"><%= link_to "Search", :controller => "search" %></li>
<%   end -%>
<% if Settings.regs_allow == true -%>
			<li id="navregister"><%= link_to "Register", :controller => "user", :action => "new" %></li>
<% end -%>
			<li id="navlogin"><%= link_to "Login", :controller => "user", :action => "login" %></li>
<% else -%>
<%   if cu.group.g_search || can_moderate -%>
			<li id="navsearch"><%= link_to "Search", :controller => "search" %></li>
<%   end -%>
			<li id="navprofile"><%= link_to "Profile", :controller => 'user_profile' %></li>
<%   if can_moderate -%>
			<li id="navadmin"><%= link_to "Administration", :controller => "admin", :action => "index" %></li>
<%   end -%>
			<li id="navlogout"><%= link_to "Logout", :controller => "user", :action => "logout" %></li>
<% end -%>
			</ul>
		</div>
<% if !is_guest -%>
		<div id="brdwelcome" class="inbox">
			<ul class="conl">
				<li>Logged in as <strong><%=h cu.username %></strong></li>
				<li>Last visit: <%=h cu.last_visit %></li>
<%   if can_moderate and Report.count('zapped IS NULL') > 0 -%>
				<li class="reportlink"><strong><%= link_to "There are new reports", :controller => "/admin/report", :action => "list" %></strong></li>
<%     if Settings.maintenance == true -%>
				<li class="maintenancelink"><strong><a href="<%= url_for :controller => 'admin', :action => 'options', :anchor => 'maintenance' %>">Maintenance mode is enabled!</a></strong></li>
<%     end -%>
<%   end -%>
			</ul>
<%= yield :head_links -%>
			<div class="clearer"></div>
		</div>
<% else -%>
		<div id="brdwelcome" class="inbox">
			<p>Not logged in</p>
		</div>
<% end -%>
	</div>
</div>

<% if @flash[:notice] -%>
<div id="announce" class="block">
  <h2><span>Notice</span></h2>
  <div class="box">
    <div class="inbox">
      <div><%= @flash[:notice] %></div>
    </div>
  </div>
</div>
<% end -%>
<% if @flash[:error] -%>
<div id="announce" class="block posterror">
  <h2><span>Error</span></h2>
  <div class="box">
    <div class="inbox">
      <div>
<%=
if @flash[:error].instance_of? ActiveRecord::Errors 
  '<ul class="error_list">'+@flash[:error].collect {|e,m| "<li>#{e.humanize unless e == "base"} #{m}</li>"}.to_s+'</ul>'
else
  @flash[:error]
end
-%>
      </div>
    </div>
  </div>
</div>
<% end -%>

<%= yield -%>

<div id="brdfooter" class="block">
	<h2><span>Board footer</span></h2>
	<div class="box">
		<div class="inbox">
<%= yield :foot_links -%>
			<p class="conr">Powered by <a href="http://dev.gentoo.org/~pclouds/git/punbbonrails.git/">PunBB on Rails</a><%= Settings.cur_version if Settings.show_version %><br />&copy; Copyright 2002&#8211;2005 Rickard Andersson<br />&copy; Copyright 2006 Nguyễn Thái Ngọc Duy</p>
			<div class="clearer"></div>
		</div>
	</div>
</div>

</div>
</div>

</body>
</html>
